/*
 * <one line to give the library's name and an idea of what it does.>
 * Copyright 2013  Luca Beltrame <lbeltrame@kde.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License or (at your option) version 3 or any later version
 * accepted by the membership of KDE e.V. (or its successor approved
 * by the membership of KDE e.V.), which shall act as a proxy
 * defined in Section 14 of version 3 of the license.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef DANBOORUTABLEMODEL_H
#define DANBOORUTABLEMODEL_H

#include <QAbstractListModel>
#include <QList>

namespace Danbooru {
    class DanbooruPost;

    class DanbooruTableModel : public QAbstractListModel
    {

    Q_OBJECT

    public:
        DanbooruTableModel(QObject* parent=0);
        ~DanbooruTableModel();

        int rowCount(const QModelIndex& parent=QModelIndex()) const;
        QVariant data(const QModelIndex& index, int role) const;

    //     bool insertRows(int row, int count=rowCount(),
    //                     const QModelIndex& parent=QModelIndex());

    private:
        QList<DanbooruPost*> m_posts;

    public Q_SLOTS:
        void addPost(Danbooru::DanbooruPost* post);

    };
}; // namespace Danbooru

#endif // DANBOORUTABLEMODEL_H
